Cards

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
limitintegerOptional

Number of results to return per page.

offsetintegerOptional

The initial index from which to return the results.

Responses
chevron-right
200Success
application/json
countintegerRequiredExample: 123
nextstring · uri · nullableOptionalExample: http://api.example.org/accounts/?offset=400&limit=100
previousstring · uri · nullableOptionalExample: http://api.example.org/accounts/?offset=200&limit=100
get
/api/give/cards
200Success
post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
payment_methodstringOptional
Responses
post
/api/give/cards
201Success
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstring · uuidRequired

A UUID string identifying this card.

Responses
chevron-right
200Success
application/json
payment_methodstringOptional
get
/api/give/cards/{id}
200Success
put
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstring · uuidRequired

A UUID string identifying this card.

Body
payment_methodstringOptional
Responses
chevron-right
200Success
application/json
payment_methodstringOptional
put
/api/give/cards/{id}
200Success
delete
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstring · uuidRequired

A UUID string identifying this card.

Responses
delete
/api/give/cards/{id}
204

No response body

No content

patch
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstring · uuidRequired

A UUID string identifying this card.

Body
payment_methodstringOptional
Responses
chevron-right
200Success
application/json
payment_methodstringOptional
patch
/api/give/cards/{id}
200Success